# 客户入驻功能需求文档

客户是指物业公司，客户入驻是我们公司运营人员管理物业信息的平台，目的在于更好的为物业公司服务，提升我们的工作效率。

### 业务流程 [原型地址](https://org.modao.cc/app/e6901721256b50fa80884755fcf42250e875e733)

![客户入驻流程](image/客户入驻流程.jpg)

### 表单说明

![客户入驻流程](image/用户注册.png)

| 字段名称 | 类型       | 备注                     | 是否必填 |
|:---- |:-------- | ---------------------- | ---- |
| 姓名   | String   |                        | 是    |
| 电话   | varchar  | 注册时短信验证                | 是    |
| 公司名  | String   |                        | 否    |
| 注册时间 | datetime | 格式：YYYY-MM-dd hh:mm:ss | 是    |

![客户入驻流程](image/资料补全.png)

**用户详细信息表**  运营人员电话回访后补全用户信息或者是运营人员直接添加用户信息

| 字段名称    | 类型      | 备注        | 是否必填 |
| ------- | ------- | --------- | ---- |
| 企业号     | String  | 自动生成      | 是    |
| 营业执照号   | String  |           | 是    |
| 企业名称    | String  |           | 是    |
| 所属省份    | String  |           | 是    |
| 所属城市    | String  |           | 是    |
| 企业详细地址  | String  |           | 是    |
| 办公电话    | varchar |           | 否    |
| 邮箱      | String  |           | 是    |
| 营业执照扫描件 | String  |           | 否    |
| 企业简介    | String  |           | 否    |
| 备注      | String  |           | 否    |
| 状态      | tinyint | 0=关闭，1=开通 | 是    |

**点击开通前须先根据营业执照号、企业名称、地址、联系人、联系电话判断是否资料齐全** ，如果资料不全，跳出弹层补全资料页面，提示先补全资料。

![客户入驻流程](image/合同修改.png)

**合同表**

| 字段名称   | 类型       | 备注                     | 是否必填 |
| ------ | -------- | ---------------------- | ---- |
| 用户id   | String   | 索引用户详情信息表              | 是    |
| 开户行    | String   | 开户行名称                  | 是    |
| 法人代表   | String   |                        | 是    |
| 账号     | String   | 银行卡号                   | 是    |
| 合作开始时间 | datetime | 格式：YYYY-MM-dd hh:mm:ss | 是    |
| 合作截止时间 | datetime | 格式：YYYY-MM-dd hh:mm:ss | 是    |
| 授权小区数  | tinyint  |                        | 是    |
| 合作金额   | decimal  |                        | 是    |
| 合同扫描件  | String   |                        | 否    |
| 甲方对接人  | String   |                        | 是    |
| 甲方电话   | varchar  |                        | 是    |
| 乙方对接人  | String   |                        | 是    |
| 乙方电话   | varchar  |                        | 是    |
| 企业简介   | String   |                        | 否    |
| 备注     | String   |                        | 否    |
| 状态     | Enum     | 开通/关闭                  | 是    |

**添加合同前须先根据营业执照号、企业名称、地址、联系人、联系电话判断是否资料齐全**，如果资料不全，跳出弹层补全资料页面，提示先补全资料。

![客户入驻流程](image/登录表.png)

**登录信息表**
| 字段名称 | 类型    | 备注                                                           | 是否必填 |
| -------- | -------- | -------------------------------------------------------------- | -------- |
| 登录名 | String   |                                     | 是    |
| 密码 | String |                  加密保存                       | 是    |
| 登录时间 | datetime |  格式：YYYY-MM-dd hh:mm:ss                            | 是    |
| 备注   | String |                                       | 否    |

### 业务说明

客户分网页注册、微信注册、二维码注册、运营人员开发。如果是自主注册的用户，运营人员需对注册用户回访，确定客户意向，后期会有免费体验模块。根据客户意向补充客户资料，是否签订合同，设置客户状态，分配用户信息，开通相应权限。
